#
# This file is part of Nickel.
# Copyright (C) 2007-2010 Xavier Clerc.
#
# Nickel is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3 of the License, or
# (at your option) any later version.
#
# Nickel is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#

# Paths
path.cadmium=${basedir}/../Cadmium
path.classes=${basedir}/classes
path.deploy=${basedir}/deploy
path.gcc=/usr/bin
path.javadoc=${basedir}/javadoc
path.javadoc-dev=${path.javadoc}/dev
path.javadoc-public=${path.javadoc}/public
path.jdkdoc=/System/Library/Frameworks/JavaVM.framework/Versions/1.6/Resources/Documentation/Reference/doc/api
path.lib=${basedir}/lib
path.ocaml=/usr/local/bin
path.reports=${basedir}/reports
path.resources=${basedir}/resources
path.src=${basedir}/src
path.tests=${basedir}/tests

# Packages
packages=fr.x9c.nickel,\
fr.x9c.nickel.classes,\
fr.x9c.nickel.common,\
fr.x9c.nickel.database,\
fr.x9c.nickel.parameters,\
fr.x9c.nickel.util

# Project properties
project.name=Nickel
project.author=Xavier Clerc
project.copyright=Copyright (c) 2007-2010, Xavier Clerc
project.overview=${path.javadoc}/overview.html
project.main-class=fr.x9c.nickel.Main
project.main-class-gui=fr.x9c.nickel.MainGUI
project.jarfile=${path.deploy}/ocamlwrap.jar
project.jarfile-gui=${path.deploy}/ocamlwrap-gui.jar
project.java-version=1.6
